curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"wideStatusType": "BUSINESS_UNIT_WIDE",
"businessUnitId": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Check whether a contact has unsubscribed from all email subscriptions. If a contact has not opted out of all communications, the response results array will be empty.
curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString}/unsubscribe-all \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"wideStatusType": "BUSINESS_UNIT_WIDE",
"businessUnitId": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
EMAIL successful operation
The date and time when the operation was completed.
An array containing the results of the operation.
Show child attributes
The date and time when the operation started.
The current status of the operation, which can be PENDING, PROCESSING, CANCELED, or COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING An array of error objects detailing any issues encountered during the operation.
Show child attributes
An object containing related links, where each key is a link name and each value is a URL.
Show child attributes
The number of errors encountered during the operation.
The date and time when the request was made.
Was this page helpful?